Bug 3356 - Deiconifying does not set focus
Deiconifying does not set focus
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 1999-06-08 22:39 EDT by Bill Chatfield
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 16:19:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Chatfield 1999-06-08 22:39:21 EDT
Deiconifying a window does not set the focus to that window.
 This is functionality that is critical to usability.
Comment 1 Jay Turner 1999-06-29 10:39:59 EDT
This works correctly under "click to focus", but not under "sloppy
focus"  Would not expect it to work under "pointer focus" as that does
not make sense for it to.
Comment 2 Bill Chatfield 1999-07-13 18:41:59 EDT
I have upgraded to all the new RPMs on www.gnome.org.

It still does not work under "click to focus" for me.  Actually, about
30% of the time it does, but most of the time it does not.  Try
minimizing all your windows and then "unminimize" them by clicking on
the task bar with your left mouse button.  They don't get the focus
for me.  I'm using enlightenment with the "big clean" theme.

Using "pointer focus" makes the problem irrevelant.  I've not tried
"sloppy focus" because I don't understand how that could actually be a
usable option.
Comment 3 Elliot Lee 1999-08-03 16:05:59 EDT
How are you deiconifying the window?

------- Additional Comments From   08/31/99 23:11 -------
I deiconify the each window by clicking on its task bar button with
the left mouse button.  This deiconifies the window, but the window
does not get the focus.  This is the normal way to deiconify a window
in systems like Microsoft Windows and KDE.  Your users are going to
expect it to work the way I am expecting it to work.

I have several machines with GNOME and they all work this way, which I
think is incorrect.  Certainly, with the default settings of GNOME it
works this way.  In CDE, KDE, and Microsoft Windows anytime you
deiconify a window, it gets the focus.  Certainly in Microsoft Windows
and KDE when you deiconify a window by clicking on its task bar button
with the left mouse button, the windows gets the focus.
Comment 4 Owen Taylor 2000-02-03 16:19:59 EST
This was a bug in the gnome-pager applet with a race condition
between showing the window and giving it focus. I've fixed
the problem in our package now.

Note You need to log in before you can comment on or make changes to this bug.